import React from 'react';
import purebem from 'purebem';
import { FoundationPanel } from '@billogram/foundation-panel';
import reactInterpolate from '@billogram/react-interpolate';
import './FoundationErrorList.scss';
export default function FoundationErrorList(_ref) {
  var _ref$errors = _ref.errors,
      errors = _ref$errors === void 0 ? [] : _ref$errors;

  if (errors.length === 0) {
    return null;
  }

  var block = purebem('foundation-error-list');
  return /*#__PURE__*/React.createElement(FoundationPanel, {
    ui: "light-red"
  }, /*#__PURE__*/React.createElement("ul", {
    className: block()
  }, [].map.call(errors, function (error, index) {
    return /*#__PURE__*/React.createElement("li", {
      className: block('item'),
      key: index
    }, typeof error === 'string' ? reactInterpolate(error) : error);
  })));
}
//# sourceMappingURL=FoundationErrorList.js.map