import React from 'react';
import purebem from 'purebem';
import { pgettext } from '@billogram/lang';
import getErrorItems from './utils/getErrorItems';
import FoundationErrorList from './FoundationErrorList';
import './FoundationFormFieldErrorSummary.scss';
export default function FoundationFormFieldErrorSummary(_ref) {
  var context = _ref.context,
      _ref$errors = _ref.errors,
      errors = _ref$errors === void 0 ? {} : _ref$errors,
      _ref$formatKey = _ref.formatKey,
      formatKey = _ref$formatKey === void 0 ? function (context, key) {
    var ctx = key === '__all__' ? 'generic-error-field' : context;
    return pgettext(ctx, key);
  } : _ref$formatKey,
      _ref$type = _ref.type,
      type = _ref$type === void 0 ? 'context' : _ref$type;
  var items = getErrorItems(errors, context, formatKey, type, pgettext);

  if (items.length === 0) {
    return null;
  }

  var block = purebem('foundation-form-field-error-summary');
  return /*#__PURE__*/React.createElement("div", {
    className: block()
  }, /*#__PURE__*/React.createElement(FoundationErrorList, {
    errors: items
  }));
}
//# sourceMappingURL=FoundationFormFieldErrorSummary.js.map